Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.issues.controls
Interface IssuesCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface IssuesCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `ISSUE` ObjectClass, `Nodes` of that type (wrapped in a `Issue`/No

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_ALL`
`static String` | `FIND_ONE`
`static String` | `ISSUE`

Method Summary
`Issue` | `createIssue(String title, String description, String owner, String visibility, String status, String priority, boolean isKnowledge, String resolution, BinaryValue notes, ID parentNode, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` creates the `ISSUE ObjectClass` and `Node`s of that type (wrapped in an `Issue`) `ISSUE` extends the `COMMUNITY_CONTENT` ObjectClass Creates a new Issue Node within the CM Repository initializing its properties based on the argument/annotation combination provided.
`List<Issue>` | `getAllIssues()` Returns a List of all issues.
`Issue` | `getIssue(String description)` Finds an Issue by its description.
`List<Issue>` | `removeAllIssues()` Removes all Issues.
`Issue` | `removeIssue(String description)` Removes an Issue based on its description.

Field Detail

### ISSUE

    static final String ISSUE

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

Method Detail

### createIssue

    Issue createIssue(String title,
                      String description,
                      String owner,
                      String visibility,
                      String status,
                      String priority,
                      boolean isKnowledge,
                      String resolution,
                      BinaryValue notes,
                      ID parentNode,
                      ID[] relatedNodes,
                      Set<CmxControl.PropertyPair> dynamicProps)
                      throws AuthenticationException,
                             AuthorizationException,
                             NodeExistsException,
                             NoSuchObjectClassException,
                             RepositoryException,
                             InstantiationException,
                             IllegalAccessException,
                             InvocationTargetException,
                             SQLException,
                             GSNonUniqueContentException

  creates the `ISSUE ObjectClass` and `Node`s of that type (wrapped in an `Issue`)

  `ISSUE` extends the `COMMUNITY_CONTENT` ObjectClass

  Creates a new Issue Node within the CM Repository initializing its properties based on the argument/annotation combination provided. Then creates an Issue using the new Node.

  Parameters
    `description` -
    `resolution` -
    `status` -
    `visibility` -
  Returns
    The new Issue which was created
  Throws
    `org.apache.beehive.controls.api.ControlException`
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

### getIssue

    Issue getIssue(String description)
                   throws InstantiationException,
                          IllegalAccessException,
                          InvocationTargetException,
                          com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                          AuthenticationException,
                          AuthorizationException,
                          NoSuchNodeException,
                          RepositoryException

  Finds an Issue by its description.

  Parameters
    `description` - Description of the sought after Issue
  Returns
    The Issue whose description matches the one provided
  Throws
    `org.apache.beehive.controls.api.ControlException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeIssue

    Issue removeIssue(String description)
                      throws InstantiationException,
                             IllegalAccessException,
                             InvocationTargetException,
                             com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                             AuthenticationException,
                             AuthorizationException,
                             NoSuchNodeException,
                             RepositoryException

  Removes an Issue based on its description.

  Parameters
    `description` - Description of the sought after Issue
  Returns
    The Issue which was removed
  Throws
    `org.apache.beehive.controls.api.ControlException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getAllIssues

    List<Issue> getAllIssues()
                             throws InstantiationException,
                                    IllegalAccessException,
                                    InvocationTargetException,
                                    com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                    AuthenticationException,
                                    AuthorizationException,
                                    NoSuchNodeException,
                                    RepositoryException

  Returns a List of all issues.

  Returns
    List of all Issues
  Throws
    `org.apache.beehive.controls.api.ControlException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeAllIssues

    List<Issue> removeAllIssues()
                                throws InstantiationException,
                                       IllegalAccessException,
                                       InvocationTargetException,
                                       com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                       AuthenticationException,
                                       AuthorizationException,
                                       NoSuchNodeException,
                                       RepositoryException

  Removes all Issues.

  Returns
    The Issues which were removed
  Throws
    `org.apache.beehive.controls.api.ControlException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved